import { world, system } from "@minecraft/server";
import { getScore } from "miscellaneous/getScore";
import "miscellaneous/otherStuff";

let players = [];
let currentTick = 0;

world.events.playerJoin.subscribe((eventData) => {
  const { player } = eventData;
  players.push({
    tick: currentTick,
    player,
  });
});

system.run(function runnable() {
  system.run(runnable);

  currentTick++;

  players.forEach((value) => {
    const { player, tick } = value;

    if (currentTick % 20 != 0) {
      return;
    }

    let tickDiff = currentTick - tick;

    player.runCommand(`scoreboard players add @s secondOne 1`);
    player.onScreenDisplay.setTitle(`§4[§c${getScore(player, "hourTwo")}${getScore(player, "hourOne")}§4I§c${getScore(player, "minuteTwo")}${getScore(player, "minuteOne")}§4I§c${getScore(player, "secondTwo")}${getScore(player, "secondOne")}§4]`);
  });
});